/*
 * Newt-Puzzle
 * Copyright (C) Aude Jaulent 2009 <elderme@tuxfamily.org>
 * 
 * Newt-Puzzle is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Newt-Puzzle is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "ticTacToeKeyboardOptions.h"


TicTacToeKeyboardOptions::TicTacToeKeyboardOptions(std::string fileName) :
	KeyboardOptions (fileName,
					 (KeyMap[]) {{SDLK_UP,"up_key"},{SDLK_DOWN,"down_key"},{SDLK_LEFT,"left_key"},{SDLK_RIGHT,"right_key"},{SDLK_SPACE,"reinit_camera_key"}},5) {
}
	

void TicTacToeKeyboardOptions::writeConfigurationFile() {
	std::ofstream file(mFileName.c_str(), std::ios::trunc);
	
	if ( !file ){
		std::cerr << "Cannot create Tic-Tac-Toe keyboard configuration file." << std::endl;
		exit(1);
	}
	
	std::vector<std::string> comments;
	
	file << "## Newt-Puzzle Tic-Tac-Toe keyboard options file. \n \n";
	
	comments.push_back("Key binding for moving the camera: up");
	file << writeParam("up_key", comments);
	comments.clear();
	
	comments.push_back("Key binding for moving the camera: down");
	file << writeParam("down_key", comments);
	comments.clear();	
	
	comments.push_back("Key binding for moving the camera: left");
	file << writeParam("left_key", comments);
	comments.clear();
	
	comments.push_back("Key binding for moving the camera: right");
	file << writeParam("right_key", comments);
	comments.clear();

	comments.push_back("Key binding for reinitialize camera position.");
	file << writeParam("reinit_camera_key", comments);
	comments.clear();	
	
	file.close();		
}




